_MCU_Init:
;pwm_driver_pic32.c,72 :: 		void MCU_Init()
ADDIU	SP, SP, -20
SW	RA, 0(SP)
;pwm_driver_pic32.c,74 :: 		TRISB0_bit = 1;                       //configure PORTB pin 0 as input
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
SW	R28, 16(SP)
LUI	R2, BitMask(TRISB0_bit+0)
ORI	R2, R2, BitMask(TRISB0_bit+0)
_SX	
;pwm_driver_pic32.c,75 :: 		TRISC1_bit = 0;                      //configure PORTC pin 1 as output (PWM)
LUI	R2, BitMask(TRISC1_bit+0)
ORI	R2, R2, BitMask(TRISC1_bit+0)
_SX	
;pwm_driver_pic32.c,76 :: 		JTAGEN_bit = 0;
_LX	
INS	R2, R0, BitPos(JTAGEN_bit+0), 1
_SX	
;pwm_driver_pic32.c,82 :: 		ADC1_Init();                               // ADC Init
JAL	_ADC1_Init+0
NOP	
;pwm_driver_pic32.c,83 :: 		Delay_ms(100);
LUI	R24, 40
ORI	R24, R24, 45226
L_MCU_Init0:
ADDIU	R24, R24, -1
BNE	R24, R0, L_MCU_Init0
NOP	
;pwm_driver_pic32.c,84 :: 		current_duty = 0;                     // initial value for current duty
SH	R0, Offset(_current_duty+0)(GP)
;pwm_driver_pic32.c,86 :: 		PWM_Init(5000 , 1, 1, 2);     // PWM Initialization
ORI	R28, R0, 2
ORI	R27, R0, 1
ORI	R26, R0, 1
ORI	R25, R0, 5000
JAL	_PWM_Init+0
NOP	
;pwm_driver_pic32.c,87 :: 		PWM_Start(1);
ORI	R25, R0, 1
JAL	_PWM_Start+0
NOP	
;pwm_driver_pic32.c,88 :: 		PWM_Set_Duty(current_duty,  1);           // Set current duty for PWM1
ORI	R26, R0, 1
LHU	R25, Offset(_current_duty+0)(GP)
JAL	_PWM_Set_Duty+0
NOP	
;pwm_driver_pic32.c,89 :: 		}
L_end_MCU_Init:
LW	R28, 16(SP)
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 20
JR	RA
NOP	
; end of _MCU_Init
_Display_Init:
;pwm_driver_pic32.c,91 :: 		void Display_Init()
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;pwm_driver_pic32.c,93 :: 		TFT_BLED_Direction = 0;
SW	R25, 4(SP)
SW	R26, 8(SP)
LUI	R2, BitMask(TRISD2_bit+0)
ORI	R2, R2, BitMask(TRISD2_bit+0)
_SX	
;pwm_driver_pic32.c,94 :: 		TFT_Init_ILI9341_8bit(320, 240); //TFT Init
ORI	R26, R0, 240
ORI	R25, R0, 320
JAL	_TFT_Init_ILI9341_8bit+0
NOP	
;pwm_driver_pic32.c,95 :: 		TFT_BLED = 1;
LUI	R2, BitMask(LATD2_bit+0)
ORI	R2, R2, BitMask(LATD2_bit+0)
_SX	
;pwm_driver_pic32.c,96 :: 		}
L_end_Display_Init:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _Display_Init
_DrawFrame:
;pwm_driver_pic32.c,98 :: 		void DrawFrame()
ADDIU	SP, SP, -20
SW	RA, 0(SP)
;pwm_driver_pic32.c,100 :: 		TFT_Set_Pen(CL_WHITE, 1);
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
SW	R28, 16(SP)
ORI	R26, R0, 1
ORI	R25, R0, 65535
JAL	_TFT_Set_Pen+0
NOP	
;pwm_driver_pic32.c,101 :: 		TFT_Set_Brush(1,CL_WHITE,0,0,0,0);
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
ORI	R26, R0, 65535
ORI	R25, R0, 1
ADDIU	SP, SP, -4
SH	R0, 2(SP)
SH	R0, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
;pwm_driver_pic32.c,102 :: 		TFT_Set_Font(TFT_defaultFont, CL_BLACK, FO_HORIZONTAL);
MOVZ	R27, R0, R0
MOVZ	R26, R0, R0
LUI	R25, hi_addr(_TFT_defaultFont+0)
ORI	R25, R25, lo_addr(_TFT_defaultFont+0)
JAL	_TFT_Set_Font+0
NOP	
;pwm_driver_pic32.c,103 :: 		TFT_Fill_Screen(CL_WHITE);
ORI	R25, R0, 65535
JAL	_TFT_Fill_Screen+0
NOP	
;pwm_driver_pic32.c,104 :: 		TFT_Set_Pen(CL_Black, 1);
ORI	R26, R0, 1
MOVZ	R25, R0, R0
JAL	_TFT_Set_Pen+0
NOP	
;pwm_driver_pic32.c,105 :: 		TFT_Line(20, 220, 300, 220);
ORI	R28, R0, 220
ORI	R27, R0, 300
ORI	R26, R0, 220
ORI	R25, R0, 20
JAL	_TFT_Line+0
NOP	
;pwm_driver_pic32.c,106 :: 		TFT_LIne(20,  46, 300,  46);
ORI	R28, R0, 46
ORI	R27, R0, 300
ORI	R26, R0, 46
ORI	R25, R0, 20
JAL	_TFT_Line+0
NOP	
;pwm_driver_pic32.c,107 :: 		TFT_Set_Font(&HandelGothic_BT21x22_Regular, CL_RED, FO_HORIZONTAL);
MOVZ	R27, R0, R0
ORI	R26, R0, 63488
LUI	R25, hi_addr(_HandelGothic_BT21x22_Regular+0)
ORI	R25, R25, lo_addr(_HandelGothic_BT21x22_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
;pwm_driver_pic32.c,108 :: 		TFT_Write_Text("PWM driver click", 90, 14);
ORI	R27, R0, 14
ORI	R26, R0, 90
LUI	R25, hi_addr(?lstr1_pwm_driver_pic32+0)
ORI	R25, R25, lo_addr(?lstr1_pwm_driver_pic32+0)
JAL	_TFT_Write_Text+0
NOP	
;pwm_driver_pic32.c,109 :: 		TFT_Write_Text("Duty cycle:", 40, 100);
ORI	R27, R0, 100
ORI	R26, R0, 40
LUI	R25, hi_addr(?lstr2_pwm_driver_pic32+0)
ORI	R25, R25, lo_addr(?lstr2_pwm_driver_pic32+0)
JAL	_TFT_Write_Text+0
NOP	
;pwm_driver_pic32.c,110 :: 		TFT_Set_Font(&HandelGothic_BT21x22_Regular, CL_RED, FO_HORIZONTAL);
MOVZ	R27, R0, R0
ORI	R26, R0, 63488
LUI	R25, hi_addr(_HandelGothic_BT21x22_Regular+0)
ORI	R25, R25, lo_addr(_HandelGothic_BT21x22_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
;pwm_driver_pic32.c,111 :: 		TFT_Write_Text("%", 220, 100);
ORI	R27, R0, 100
ORI	R26, R0, 220
LUI	R25, hi_addr(?lstr3_pwm_driver_pic32+0)
ORI	R25, R25, lo_addr(?lstr3_pwm_driver_pic32+0)
JAL	_TFT_Write_Text+0
NOP	
;pwm_driver_pic32.c,112 :: 		TFT_Set_Font(&Verdana12x13_Regular, CL_RED, FO_HORIZONTAL);
MOVZ	R27, R0, R0
ORI	R26, R0, 63488
LUI	R25, hi_addr(_Verdana12x13_Regular+0)
ORI	R25, R25, lo_addr(_Verdana12x13_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
;pwm_driver_pic32.c,113 :: 		TFT_Write_Text("EasyPIC Fusion v7 for P32MX", 19, 223);
ORI	R27, R0, 223
ORI	R26, R0, 19
LUI	R25, hi_addr(?lstr4_pwm_driver_pic32+0)
ORI	R25, R25, lo_addr(?lstr4_pwm_driver_pic32+0)
JAL	_TFT_Write_Text+0
NOP	
;pwm_driver_pic32.c,114 :: 		TFT_Set_Font(&Verdana12x13_Regular, CL_RED, FO_HORIZONTAL);
MOVZ	R27, R0, R0
ORI	R26, R0, 63488
LUI	R25, hi_addr(_Verdana12x13_Regular+0)
ORI	R25, R25, lo_addr(_Verdana12x13_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
;pwm_driver_pic32.c,115 :: 		TFT_Write_Text("www.mikroe.com", 200, 223);
ORI	R27, R0, 223
ORI	R26, R0, 200
LUI	R25, hi_addr(?lstr5_pwm_driver_pic32+0)
ORI	R25, R25, lo_addr(?lstr5_pwm_driver_pic32+0)
JAL	_TFT_Write_Text+0
NOP	
;pwm_driver_pic32.c,116 :: 		TFT_Set_Font(&TFT_defaultFont, CL_BLACK, FO_HORIZONTAL);
MOVZ	R27, R0, R0
MOVZ	R26, R0, R0
LUI	R25, hi_addr(_TFT_defaultFont+0)
ORI	R25, R25, lo_addr(_TFT_defaultFont+0)
JAL	_TFT_Set_Font+0
NOP	
;pwm_driver_pic32.c,117 :: 		TFT_Set_Font(&HandelGothic_BT21x22_Regular, CL_BLACK, FO_HORIZONTAL);
MOVZ	R27, R0, R0
MOVZ	R26, R0, R0
LUI	R25, hi_addr(_HandelGothic_BT21x22_Regular+0)
ORI	R25, R25, lo_addr(_HandelGothic_BT21x22_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
;pwm_driver_pic32.c,118 :: 		}
L_end_DrawFrame:
LW	R28, 16(SP)
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 20
JR	RA
NOP	
; end of _DrawFrame
_main:
;pwm_driver_pic32.c,120 :: 		void main()
;pwm_driver_pic32.c,122 :: 		MCU_Init();
JAL	_MCU_Init+0
NOP	
;pwm_driver_pic32.c,123 :: 		Display_Init();
JAL	_Display_Init+0
NOP	
;pwm_driver_pic32.c,124 :: 		DrawFrame();
JAL	_DrawFrame+0
NOP	
;pwm_driver_pic32.c,126 :: 		while( 1 )
L_main2:
;pwm_driver_pic32.c,131 :: 		adc_result = ADC1_Read(0); //& 0x0000FFFF;
MOVZ	R25, R0, R0
JAL	_ADC1_Read+0
NOP	
SH	R2, Offset(_adc_result+0)(GP)
;pwm_driver_pic32.c,132 :: 		current_duty = adc_result; /// 4 ;
SH	R2, Offset(_current_duty+0)(GP)
;pwm_driver_pic32.c,133 :: 		PWM_Set_Duty(adc_result * 4, 1);     // Set newly acquired duty
ANDI	R2, R2, 65535
SLL	R2, R2, 2
ORI	R26, R0, 1
ANDI	R25, R2, 65535
JAL	_PWM_Set_Duty+0
NOP	
;pwm_driver_pic32.c,136 :: 		cur_duty_byte = cur_duty_byte * 0.098; // 100 / 1024
LHU	R4, Offset(_current_duty+0)(GP)
JAL	__Unsigned16IntToFloat+0
NOP	
LUI	R4, 15816
ORI	R4, R4, 46137
MOVZ	R6, R2, R0
JAL	__Mul_FP+0
NOP	
MOVZ	R4, R2, R0
JAL	__FloatToUnsignedIntegral+0
NOP	
;pwm_driver_pic32.c,137 :: 		WordToStr(cur_duty_byte, txt);
LUI	R26, hi_addr(_txt+0)
ORI	R26, R26, lo_addr(_txt+0)
ANDI	R25, R2, 65535
JAL	_WordToStr+0
NOP	
;pwm_driver_pic32.c,138 :: 		TFT_Set_Pen(CL_WHITE, 1);
ORI	R26, R0, 1
ORI	R25, R0, 65535
JAL	_TFT_Set_Pen+0
NOP	
;pwm_driver_pic32.c,139 :: 		TFT_Rectangle(145, 100, 200, 120);
ORI	R28, R0, 120
ORI	R27, R0, 200
ORI	R26, R0, 100
ORI	R25, R0, 145
JAL	_TFT_Rectangle+0
NOP	
;pwm_driver_pic32.c,140 :: 		TFT_Set_Pen(CL_BLACK, 2);
ORI	R26, R0, 2
MOVZ	R25, R0, R0
JAL	_TFT_Set_Pen+0
NOP	
;pwm_driver_pic32.c,141 :: 		TFT_Write_Text(txt, 150, 100);
ORI	R27, R0, 100
ORI	R26, R0, 150
LUI	R25, hi_addr(_txt+0)
ORI	R25, R25, lo_addr(_txt+0)
JAL	_TFT_Write_Text+0
NOP	
;pwm_driver_pic32.c,142 :: 		Delay_ms(20);
LUI	R24, 8
ORI	R24, R24, 9044
L_main4:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main4
NOP	
NOP	
NOP	
;pwm_driver_pic32.c,143 :: 		}
J	L_main2
NOP	
;pwm_driver_pic32.c,144 :: 		}
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
